Subject: Re: bug#74833: 31.0.50; Copy to OS clipboard doesn't work in macOS Terminal.app with xterm-mouse-mode enabled

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Dec 2024 14:32:05 +0200

> From: Gerd Möllmann <[email-masked]>
> Cc: Ship Mints <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked]
> Date: Tue, 17 Dec 2024 04:32:20 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > And second, the issue here, at least for me, is not the user surprise
> > that the mouse works, it's that features which used to work in Emacs
> > when running on Terminal.app before that change cease to work, at
> > least in some situations, now.
> 
> I really don't know what you are talking about when you write "feature
> in Emacs". There is no feature _in_ Emacs that is broken. Emacs doesn't
> even get a keyboard event for Command-C, it has no idea what is going
> on.
> 
> It's Terminal.app that behaves differently. And Terminal.app has
> previsions for that (Command-R, Fn-mouse).

I don't see how this distinction (which I have no doubt is accurate)
is important to the decision we should make here.  Simply put,
"something" that worked on Terminal.app before we turned on xt-moude
doesn't work in some cases after we turned it on.  That's my bother.